-- Copyright (C) 1991-2012 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II 32-bit"
-- VERSION "Version 12.0 Build 263 08/02/2012 Service Pack 2 SJ Web Edition"

-- DATE "09/22/2016 19:57:21"

-- 
-- Device: Altera EP4CE30F23C7 Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY CYCLONEIVE;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE CYCLONEIVE.CYCLONEIVE_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	MIPS_Quartus IS
    PORT (
	Delay : OUT std_logic;
	LCD_EN : OUT std_logic;
	CLOCK_50MHz : IN std_logic;
	LCD_RS : OUT std_logic;
	LCD_RW : OUT std_logic;
	LCD_BACKLIGHT : OUT std_logic;
	Zero_OUT_ALU : OUT std_logic;
	DISP0_D : OUT std_logic_vector(6 DOWNTO 0);
	DISP1_D : OUT std_logic_vector(6 DOWNTO 0);
	IROut1 : OUT std_logic_vector(15 DOWNTO 0);
	LCD_D : OUT std_logic_vector(7 DOWNTO 0);
	LEDM_C : OUT std_logic_vector(4 DOWNTO 0);
	LEDM_R : OUT std_logic_vector(7 DOWNTO 0);
	Result_OUT : OUT std_logic_vector(15 DOWNTO 0);
	KEY : IN std_logic_vector(11 DOWNTO 11);
	CLOCK : IN std_logic;
	SW : IN std_logic_vector(0 DOWNTO 0)
	);
END MIPS_Quartus;

-- Design Ports Information
-- Delay	=>  Location: PIN_F15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LCD_EN	=>  Location: PIN_V9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_RS	=>  Location: PIN_U9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_RW	=>  Location: PIN_U8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_BACKLIGHT	=>  Location: PIN_V10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- Zero_OUT_ALU	=>  Location: PIN_H15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- DISP0_D[6]	=>  Location: PIN_W2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP0_D[5]	=>  Location: PIN_Y1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP0_D[4]	=>  Location: PIN_Y2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP0_D[3]	=>  Location: PIN_U1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP0_D[2]	=>  Location: PIN_U2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP0_D[1]	=>  Location: PIN_V1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP0_D[0]	=>  Location: PIN_V2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP1_D[6]	=>  Location: PIN_N6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP1_D[5]	=>  Location: PIN_N7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP1_D[4]	=>  Location: PIN_M6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP1_D[3]	=>  Location: PIN_T4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP1_D[2]	=>  Location: PIN_T3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP1_D[1]	=>  Location: PIN_T5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- DISP1_D[0]	=>  Location: PIN_R5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- IROut1[15]	=>  Location: PIN_D15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[14]	=>  Location: PIN_B18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[13]	=>  Location: PIN_R18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[12]	=>  Location: PIN_AA14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[11]	=>  Location: PIN_W21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[10]	=>  Location: PIN_U14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[9]	=>  Location: PIN_G15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[8]	=>  Location: PIN_T15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[7]	=>  Location: PIN_C19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[6]	=>  Location: PIN_K17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[5]	=>  Location: PIN_D19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[4]	=>  Location: PIN_V16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[3]	=>  Location: PIN_A15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[2]	=>  Location: PIN_R19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[1]	=>  Location: PIN_AB14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- IROut1[0]	=>  Location: PIN_D17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LCD_D[7]	=>  Location: PIN_Y3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_D[6]	=>  Location: PIN_V3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_D[5]	=>  Location: PIN_Y4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_D[4]	=>  Location: PIN_V4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_D[3]	=>  Location: PIN_V5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_D[2]	=>  Location: PIN_V6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_D[1]	=>  Location: PIN_V7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LCD_D[0]	=>  Location: PIN_V8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_C[4]	=>  Location: PIN_L8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_C[3]	=>  Location: PIN_J8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_C[2]	=>  Location: PIN_K8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_C[1]	=>  Location: PIN_J6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_C[0]	=>  Location: PIN_J7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_R[7]	=>  Location: PIN_H11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_R[6]	=>  Location: PIN_G8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_R[5]	=>  Location: PIN_F8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_R[4]	=>  Location: PIN_F9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_R[3]	=>  Location: PIN_G9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_R[2]	=>  Location: PIN_E9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_R[1]	=>  Location: PIN_C8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LEDM_R[0]	=>  Location: PIN_F10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- Result_OUT[15]	=>  Location: PIN_B15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[14]	=>  Location: PIN_F11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[13]	=>  Location: PIN_AB18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[12]	=>  Location: PIN_AB13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[11]	=>  Location: PIN_E16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[10]	=>  Location: PIN_A20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[9]	=>  Location: PIN_N22,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[8]	=>  Location: PIN_E13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[7]	=>  Location: PIN_W14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[6]	=>  Location: PIN_AA19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[5]	=>  Location: PIN_AB15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[4]	=>  Location: PIN_G16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[3]	=>  Location: PIN_D13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[2]	=>  Location: PIN_H14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[1]	=>  Location: PIN_A14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Result_OUT[0]	=>  Location: PIN_W13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- KEY[11]	=>  Location: PIN_Y17,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CLOCK	=>  Location: PIN_E7,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[0]	=>  Location: PIN_V21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CLOCK_50MHz	=>  Location: PIN_T1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF MIPS_Quartus IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_Delay : std_logic;
SIGNAL ww_LCD_EN : std_logic;
SIGNAL ww_CLOCK_50MHz : std_logic;
SIGNAL ww_LCD_RS : std_logic;
SIGNAL ww_LCD_RW : std_logic;
SIGNAL ww_LCD_BACKLIGHT : std_logic;
SIGNAL ww_Zero_OUT_ALU : std_logic;
SIGNAL ww_DISP0_D : std_logic_vector(6 DOWNTO 0);
SIGNAL ww_DISP1_D : std_logic_vector(6 DOWNTO 0);
SIGNAL ww_IROut1 : std_logic_vector(15 DOWNTO 0);
SIGNAL ww_LCD_D : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_LEDM_C : std_logic_vector(4 DOWNTO 0);
SIGNAL ww_LEDM_R : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_Result_OUT : std_logic_vector(15 DOWNTO 0);
SIGNAL ww_KEY : std_logic_vector(11 DOWNTO 11);
SIGNAL ww_CLOCK : std_logic;
SIGNAL ww_SW : std_logic_vector(0 DOWNTO 0);
SIGNAL \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\ : std_logic_vector(17 DOWNTO 0);
SIGNAL \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\ : std_logic_vector(17 DOWNTO 0);
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\ : std_logic;
SIGNAL \KEY[11]~input_o\ : std_logic;
SIGNAL \CLOCK~input_o\ : std_logic;
SIGNAL \SW[0]~input_o\ : std_logic;
SIGNAL \CLOCK_50MHz~input_o\ : std_logic;
SIGNAL \Delay~output_o\ : std_logic;
SIGNAL \LCD_EN~output_o\ : std_logic;
SIGNAL \LCD_RS~output_o\ : std_logic;
SIGNAL \LCD_RW~output_o\ : std_logic;
SIGNAL \LCD_BACKLIGHT~output_o\ : std_logic;
SIGNAL \Zero_OUT_ALU~output_o\ : std_logic;
SIGNAL \DISP0_D[6]~output_o\ : std_logic;
SIGNAL \DISP0_D[5]~output_o\ : std_logic;
SIGNAL \DISP0_D[4]~output_o\ : std_logic;
SIGNAL \DISP0_D[3]~output_o\ : std_logic;
SIGNAL \DISP0_D[2]~output_o\ : std_logic;
SIGNAL \DISP0_D[1]~output_o\ : std_logic;
SIGNAL \DISP0_D[0]~output_o\ : std_logic;
SIGNAL \DISP1_D[6]~output_o\ : std_logic;
SIGNAL \DISP1_D[5]~output_o\ : std_logic;
SIGNAL \DISP1_D[4]~output_o\ : std_logic;
SIGNAL \DISP1_D[3]~output_o\ : std_logic;
SIGNAL \DISP1_D[2]~output_o\ : std_logic;
SIGNAL \DISP1_D[1]~output_o\ : std_logic;
SIGNAL \DISP1_D[0]~output_o\ : std_logic;
SIGNAL \IROut1[15]~output_o\ : std_logic;
SIGNAL \IROut1[14]~output_o\ : std_logic;
SIGNAL \IROut1[13]~output_o\ : std_logic;
SIGNAL \IROut1[12]~output_o\ : std_logic;
SIGNAL \IROut1[11]~output_o\ : std_logic;
SIGNAL \IROut1[10]~output_o\ : std_logic;
SIGNAL \IROut1[9]~output_o\ : std_logic;
SIGNAL \IROut1[8]~output_o\ : std_logic;
SIGNAL \IROut1[7]~output_o\ : std_logic;
SIGNAL \IROut1[6]~output_o\ : std_logic;
SIGNAL \IROut1[5]~output_o\ : std_logic;
SIGNAL \IROut1[4]~output_o\ : std_logic;
SIGNAL \IROut1[3]~output_o\ : std_logic;
SIGNAL \IROut1[2]~output_o\ : std_logic;
SIGNAL \IROut1[1]~output_o\ : std_logic;
SIGNAL \IROut1[0]~output_o\ : std_logic;
SIGNAL \LCD_D[7]~output_o\ : std_logic;
SIGNAL \LCD_D[6]~output_o\ : std_logic;
SIGNAL \LCD_D[5]~output_o\ : std_logic;
SIGNAL \LCD_D[4]~output_o\ : std_logic;
SIGNAL \LCD_D[3]~output_o\ : std_logic;
SIGNAL \LCD_D[2]~output_o\ : std_logic;
SIGNAL \LCD_D[1]~output_o\ : std_logic;
SIGNAL \LCD_D[0]~output_o\ : std_logic;
SIGNAL \LEDM_C[4]~output_o\ : std_logic;
SIGNAL \LEDM_C[3]~output_o\ : std_logic;
SIGNAL \LEDM_C[2]~output_o\ : std_logic;
SIGNAL \LEDM_C[1]~output_o\ : std_logic;
SIGNAL \LEDM_C[0]~output_o\ : std_logic;
SIGNAL \LEDM_R[7]~output_o\ : std_logic;
SIGNAL \LEDM_R[6]~output_o\ : std_logic;
SIGNAL \LEDM_R[5]~output_o\ : std_logic;
SIGNAL \LEDM_R[4]~output_o\ : std_logic;
SIGNAL \LEDM_R[3]~output_o\ : std_logic;
SIGNAL \LEDM_R[2]~output_o\ : std_logic;
SIGNAL \LEDM_R[1]~output_o\ : std_logic;
SIGNAL \LEDM_R[0]~output_o\ : std_logic;
SIGNAL \Result_OUT[15]~output_o\ : std_logic;
SIGNAL \Result_OUT[14]~output_o\ : std_logic;
SIGNAL \Result_OUT[13]~output_o\ : std_logic;
SIGNAL \Result_OUT[12]~output_o\ : std_logic;
SIGNAL \Result_OUT[11]~output_o\ : std_logic;
SIGNAL \Result_OUT[10]~output_o\ : std_logic;
SIGNAL \Result_OUT[9]~output_o\ : std_logic;
SIGNAL \Result_OUT[8]~output_o\ : std_logic;
SIGNAL \Result_OUT[7]~output_o\ : std_logic;
SIGNAL \Result_OUT[6]~output_o\ : std_logic;
SIGNAL \Result_OUT[5]~output_o\ : std_logic;
SIGNAL \Result_OUT[4]~output_o\ : std_logic;
SIGNAL \Result_OUT[3]~output_o\ : std_logic;
SIGNAL \Result_OUT[2]~output_o\ : std_logic;
SIGNAL \Result_OUT[1]~output_o\ : std_logic;
SIGNAL \Result_OUT[0]~output_o\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0_combout\ : std_logic;
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[10]~0_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[9]~1_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[8]~2_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[7]~3_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[6]~4_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[5]~5_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[4]~6_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[0]~7_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[3]~8_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[2]~9_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[1]~10_combout\ : std_logic;
SIGNAL \inst144|$00000|auto_generated|result_node[0]~11_combout\ : std_logic;
SIGNAL \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\ : std_logic_vector(14 DOWNTO 0);
SIGNAL \inst143|srom|rom_block|auto_generated|q_a\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \inst146|srom|rom_block|auto_generated|q_a\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \inst141|LPM_COUNTER_component|auto_generated|ALT_INV_counter_comb_bita5~0_combout\ : std_logic;

BEGIN

Delay <= ww_Delay;
LCD_EN <= ww_LCD_EN;
ww_CLOCK_50MHz <= CLOCK_50MHz;
LCD_RS <= ww_LCD_RS;
LCD_RW <= ww_LCD_RW;
LCD_BACKLIGHT <= ww_LCD_BACKLIGHT;
Zero_OUT_ALU <= ww_Zero_OUT_ALU;
DISP0_D <= ww_DISP0_D;
DISP1_D <= ww_DISP1_D;
IROut1 <= ww_IROut1;
LCD_D <= ww_LCD_D;
LEDM_C <= ww_LEDM_C;
LEDM_R <= ww_LEDM_R;
Result_OUT <= ww_Result_OUT;
ww_KEY <= KEY;
ww_CLOCK <= CLOCK;
ww_SW <= SW;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\inst146|srom|rom_block|auto_generated|ram_block1a0_PORTAADDR_bus\ <= (\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5) & \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & 
\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3) & \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1) & 
\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0));

\inst146|srom|rom_block|auto_generated|q_a\(0) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(0);
\inst146|srom|rom_block|auto_generated|q_a\(1) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(1);
\inst146|srom|rom_block|auto_generated|q_a\(2) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(2);
\inst146|srom|rom_block|auto_generated|q_a\(3) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(3);
\inst146|srom|rom_block|auto_generated|q_a\(4) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(4);
\inst146|srom|rom_block|auto_generated|q_a\(5) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(5);
\inst146|srom|rom_block|auto_generated|q_a\(6) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(6);
\inst146|srom|rom_block|auto_generated|q_a\(7) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(7);
\inst146|srom|rom_block|auto_generated|q_a\(8) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(8);
\inst146|srom|rom_block|auto_generated|q_a\(9) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(9);
\inst146|srom|rom_block|auto_generated|q_a\(10) <= \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(10);

\inst143|srom|rom_block|auto_generated|ram_block1a0_PORTAADDR_bus\ <= (\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5) & \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & 
\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3) & \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1) & 
\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0));

\inst143|srom|rom_block|auto_generated|q_a\(0) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(0);
\inst143|srom|rom_block|auto_generated|q_a\(1) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(1);
\inst143|srom|rom_block|auto_generated|q_a\(2) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(2);
\inst143|srom|rom_block|auto_generated|q_a\(3) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(3);
\inst143|srom|rom_block|auto_generated|q_a\(4) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(4);
\inst143|srom|rom_block|auto_generated|q_a\(5) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(5);
\inst143|srom|rom_block|auto_generated|q_a\(6) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(6);
\inst143|srom|rom_block|auto_generated|q_a\(7) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(7);
\inst143|srom|rom_block|auto_generated|q_a\(8) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(8);
\inst143|srom|rom_block|auto_generated|q_a\(9) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(9);
\inst143|srom|rom_block|auto_generated|q_a\(10) <= \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\(10);

\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0_combout\);
\inst141|LPM_COUNTER_component|auto_generated|ALT_INV_counter_comb_bita5~0_combout\ <= NOT \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\;

-- Location: LCCOMB_X1_Y21_N2
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\);

-- Location: LCCOMB_X1_Y21_N6
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\);

-- Location: LCCOMB_X1_Y21_N10
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\);

-- Location: LCCOMB_X1_Y21_N12
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(6) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(6) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(6) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(6),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\);

-- Location: LCCOMB_X1_Y21_N22
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(11) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(11) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(11),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\);

-- Location: LCCOMB_X1_Y21_N26
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(13) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(13) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(13),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\);

-- Location: FF_X1_Y21_N27
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(13));

-- Location: FF_X1_Y21_N23
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(11));

-- Location: FF_X1_Y21_N13
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(6));

-- Location: FF_X1_Y21_N11
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5));

-- Location: FF_X1_Y21_N7
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3));

-- Location: FF_X1_Y21_N31
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	asdata => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1));

-- Location: IOIBUF_X0_Y21_N22
\CLOCK_50MHz~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLOCK_50MHz,
	o => \CLOCK_50MHz~input_o\);

-- Location: IOOBUF_X63_Y43_N2
\Delay~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Delay~output_o\);

-- Location: IOOBUF_X20_Y0_N23
\LCD_EN~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[10]~0_combout\,
	devoe => ww_devoe,
	o => \LCD_EN~output_o\);

-- Location: IOOBUF_X16_Y0_N23
\LCD_RS~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[9]~1_combout\,
	devoe => ww_devoe,
	o => \LCD_RS~output_o\);

-- Location: IOOBUF_X3_Y0_N23
\LCD_RW~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[8]~2_combout\,
	devoe => ww_devoe,
	o => \LCD_RW~output_o\);

-- Location: IOOBUF_X20_Y0_N16
\LCD_BACKLIGHT~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LCD_BACKLIGHT~output_o\);

-- Location: IOOBUF_X61_Y43_N2
\Zero_OUT_ALU~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Zero_OUT_ALU~output_o\);

-- Location: IOOBUF_X0_Y10_N9
\DISP0_D[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \DISP0_D[6]~output_o\);

-- Location: IOOBUF_X0_Y9_N2
\DISP0_D[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP0_D[5]~output_o\);

-- Location: IOOBUF_X0_Y10_N23
\DISP0_D[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP0_D[4]~output_o\);

-- Location: IOOBUF_X0_Y15_N23
\DISP0_D[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP0_D[3]~output_o\);

-- Location: IOOBUF_X0_Y15_N16
\DISP0_D[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP0_D[2]~output_o\);

-- Location: IOOBUF_X0_Y13_N9
\DISP0_D[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP0_D[1]~output_o\);

-- Location: IOOBUF_X0_Y13_N2
\DISP0_D[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP0_D[0]~output_o\);

-- Location: IOOBUF_X0_Y12_N23
\DISP1_D[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \DISP1_D[6]~output_o\);

-- Location: IOOBUF_X0_Y7_N9
\DISP1_D[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP1_D[5]~output_o\);

-- Location: IOOBUF_X0_Y20_N9
\DISP1_D[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP1_D[4]~output_o\);

-- Location: IOOBUF_X0_Y4_N16
\DISP1_D[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP1_D[3]~output_o\);

-- Location: IOOBUF_X0_Y7_N2
\DISP1_D[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP1_D[2]~output_o\);

-- Location: IOOBUF_X0_Y4_N2
\DISP1_D[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP1_D[1]~output_o\);

-- Location: IOOBUF_X0_Y4_N23
\DISP1_D[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \DISP1_D[0]~output_o\);

-- Location: IOOBUF_X54_Y43_N16
\IROut1[15]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[15]~output_o\);

-- Location: IOOBUF_X54_Y43_N9
\IROut1[14]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[14]~output_o\);

-- Location: IOOBUF_X67_Y12_N23
\IROut1[13]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[13]~output_o\);

-- Location: IOOBUF_X38_Y0_N16
\IROut1[12]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[12]~output_o\);

-- Location: IOOBUF_X67_Y8_N23
\IROut1[11]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[11]~output_o\);

-- Location: IOOBUF_X50_Y0_N16
\IROut1[10]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[10]~output_o\);

-- Location: IOOBUF_X63_Y43_N23
\IROut1[9]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[9]~output_o\);

-- Location: IOOBUF_X52_Y0_N9
\IROut1[8]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[8]~output_o\);

-- Location: IOOBUF_X61_Y43_N30
\IROut1[7]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[7]~output_o\);

-- Location: IOOBUF_X67_Y29_N2
\IROut1[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[6]~output_o\);

-- Location: IOOBUF_X59_Y43_N2
\IROut1[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[5]~output_o\);

-- Location: IOOBUF_X61_Y0_N9
\IROut1[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[4]~output_o\);

-- Location: IOOBUF_X45_Y43_N9
\IROut1[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[3]~output_o\);

-- Location: IOOBUF_X67_Y12_N16
\IROut1[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[2]~output_o\);

-- Location: IOOBUF_X38_Y0_N9
\IROut1[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[1]~output_o\);

-- Location: IOOBUF_X61_Y43_N16
\IROut1[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \IROut1[0]~output_o\);

-- Location: IOOBUF_X3_Y0_N9
\LCD_D[7]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[7]~3_combout\,
	devoe => ww_devoe,
	o => \LCD_D[7]~output_o\);

-- Location: IOOBUF_X0_Y5_N9
\LCD_D[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[6]~4_combout\,
	devoe => ww_devoe,
	o => \LCD_D[6]~output_o\);

-- Location: IOOBUF_X3_Y0_N16
\LCD_D[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[5]~5_combout\,
	devoe => ww_devoe,
	o => \LCD_D[5]~output_o\);

-- Location: IOOBUF_X0_Y5_N2
\LCD_D[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[4]~6_combout\,
	devoe => ww_devoe,
	o => \LCD_D[4]~output_o\);

-- Location: IOOBUF_X1_Y0_N23
\LCD_D[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[3]~8_combout\,
	devoe => ww_devoe,
	o => \LCD_D[3]~output_o\);

-- Location: IOOBUF_X1_Y0_N30
\LCD_D[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[2]~9_combout\,
	devoe => ww_devoe,
	o => \LCD_D[2]~output_o\);

-- Location: IOOBUF_X7_Y0_N9
\LCD_D[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[1]~10_combout\,
	devoe => ww_devoe,
	o => \LCD_D[1]~output_o\);

-- Location: IOOBUF_X16_Y0_N16
\LCD_D[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst144|$00000|auto_generated|result_node[0]~11_combout\,
	devoe => ww_devoe,
	o => \LCD_D[0]~output_o\);

-- Location: IOOBUF_X0_Y31_N23
\LEDM_C[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_C[4]~output_o\);

-- Location: IOOBUF_X0_Y34_N16
\LEDM_C[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_C[3]~output_o\);

-- Location: IOOBUF_X0_Y30_N2
\LEDM_C[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_C[2]~output_o\);

-- Location: IOOBUF_X0_Y36_N2
\LEDM_C[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_C[1]~output_o\);

-- Location: IOOBUF_X0_Y30_N9
\LEDM_C[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_C[0]~output_o\);

-- Location: IOOBUF_X20_Y43_N30
\LEDM_R[7]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_R[7]~output_o\);

-- Location: IOOBUF_X7_Y43_N23
\LEDM_R[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_R[6]~output_o\);

-- Location: IOOBUF_X7_Y43_N16
\LEDM_R[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_R[5]~output_o\);

-- Location: IOOBUF_X1_Y43_N9
\LEDM_R[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_R[4]~output_o\);

-- Location: IOOBUF_X1_Y43_N30
\LEDM_R[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_R[3]~output_o\);

-- Location: IOOBUF_X22_Y43_N30
\LEDM_R[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_R[2]~output_o\);

-- Location: IOOBUF_X20_Y43_N2
\LEDM_R[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_R[1]~output_o\);

-- Location: IOOBUF_X9_Y43_N2
\LEDM_R[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \LEDM_R[0]~output_o\);

-- Location: IOOBUF_X45_Y43_N16
\Result_OUT[15]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[15]~output_o\);

-- Location: IOOBUF_X36_Y43_N23
\Result_OUT[14]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[14]~output_o\);

-- Location: IOOBUF_X52_Y0_N2
\Result_OUT[13]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[13]~output_o\);

-- Location: IOOBUF_X38_Y0_N23
\Result_OUT[12]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[12]~output_o\);

-- Location: IOOBUF_X65_Y43_N30
\Result_OUT[11]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[11]~output_o\);

-- Location: IOOBUF_X59_Y43_N9
\Result_OUT[10]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[10]~output_o\);

-- Location: IOOBUF_X67_Y18_N23
\Result_OUT[9]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[9]~output_o\);

-- Location: IOOBUF_X41_Y43_N9
\Result_OUT[8]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[8]~output_o\);

-- Location: IOOBUF_X48_Y0_N23
\Result_OUT[7]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[7]~output_o\);

-- Location: IOOBUF_X56_Y0_N2
\Result_OUT[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[6]~output_o\);

-- Location: IOOBUF_X43_Y0_N9
\Result_OUT[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[5]~output_o\);

-- Location: IOOBUF_X63_Y43_N9
\Result_OUT[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[4]~output_o\);

-- Location: IOOBUF_X45_Y43_N30
\Result_OUT[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[3]~output_o\);

-- Location: IOOBUF_X61_Y43_N9
\Result_OUT[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[2]~output_o\);

-- Location: IOOBUF_X41_Y43_N16
\Result_OUT[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[1]~output_o\);

-- Location: IOOBUF_X43_Y0_N30
\Result_OUT[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \Result_OUT[0]~output_o\);

-- Location: LCCOMB_X1_Y21_N0
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ = \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0) $ (VCC)
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ = CARRY(\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\);

-- Location: FF_X1_Y21_N3
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	asdata => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X1_Y21_N4
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X1_Y21_N5
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X1_Y21_N8
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X1_Y21_N9
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X1_Y21_N14
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(7) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(7) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(7),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\);

-- Location: FF_X1_Y21_N15
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(7));

-- Location: LCCOMB_X1_Y21_N16
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(8) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(8) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(8) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(8),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\);

-- Location: FF_X1_Y21_N17
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(8));

-- Location: LCCOMB_X1_Y21_N18
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(9) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\)) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(9) & ((\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\) # (GND)))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ = CARRY((!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\) # (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(9),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\);

-- Location: FF_X1_Y21_N19
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(9));

-- Location: LCCOMB_X1_Y21_N20
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(10) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(10) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(10) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(10),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\);

-- Location: FF_X1_Y21_N21
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(10));

-- Location: LCCOMB_X1_Y21_N24
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(12) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(12) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(12) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(12),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\);

-- Location: FF_X1_Y21_N25
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(12));

-- Location: LCCOMB_X1_Y21_N28
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\ = (\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(14) & (\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ $ (GND))) # 
-- (!\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(14) & (!\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ & VCC))
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ = CARRY((\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(14) & !\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(14),
	datad => VCC,
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\,
	cout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\);

-- Location: FF_X1_Y21_N29
\inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50MHz~input_o\,
	d => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst3|LPM_COUNTER_component|auto_generated|counter_reg_bit\(14));

-- Location: LCCOMB_X1_Y21_N30
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0_combout\ = \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\,
	combout => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0_combout\);

-- Location: CLKCTRL_G2
\inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl\ : cycloneive_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\);

-- Location: LCCOMB_X25_Y3_N2
\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ = \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0) $ (VCC)
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ = CARRY(\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	cout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X25_Y3_N16
\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ = \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0) $ (VCC)
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ = CARRY(\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	cout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\);

-- Location: FF_X25_Y3_N17
\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|ALT_INV_counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X25_Y3_N18
\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1) & (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1) & ((\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ = CARRY((!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (!\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\,
	combout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	cout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X25_Y3_N19
\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|ALT_INV_counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X25_Y3_N20
\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ = CARRY((\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & !\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\,
	combout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	cout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X25_Y3_N21
\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|ALT_INV_counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X25_Y3_N22
\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3) & (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3) & ((\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ = CARRY((!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (!\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\,
	combout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	cout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\);

-- Location: LCCOMB_X25_Y3_N24
\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ = CARRY((\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & !\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\,
	combout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	cout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X25_Y3_N25
\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|ALT_INV_counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X25_Y3_N26
\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5) & (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\)) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5) & ((\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ = CARRY((!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (!\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5),
	datad => VCC,
	cin => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\,
	combout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	cout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\);

-- Location: LCCOMB_X25_Y3_N28
\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ = !\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\,
	combout => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\);

-- Location: FF_X25_Y3_N3
\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X25_Y3_N4
\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ = (\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1) & (!\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1) & ((\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ = CARRY((!\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (!\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\,
	combout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	cout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X25_Y3_N5
\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X25_Y3_N6
\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ = (\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & (\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & (!\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ = CARRY((\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & !\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\,
	combout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	cout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X25_Y3_N7
\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X25_Y3_N8
\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ = (\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3) & (!\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3) & ((\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ = CARRY((!\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (!\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\,
	combout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	cout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\);

-- Location: FF_X25_Y3_N9
\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X25_Y3_N10
\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ = (\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & (\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & (!\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ = CARRY((\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4) & !\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\,
	combout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	cout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X25_Y3_N11
\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X25_Y3_N12
\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita5\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ = \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5) $ (\inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5),
	cin => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\,
	combout => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\);

-- Location: FF_X25_Y3_N13
\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst148|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5));

-- Location: M9K_X24_Y2_N0
\inst146|srom|rom_block|auto_generated|ram_block1a0\ : cycloneive_ram_block
-- pragma translate_off
GENERIC MAP (
	mem_init0 => X"000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000008800620008800620008C006300032C04CB008C00630008C00630008C006300031404C5008C00630008C00630008C0063000234048D008C00630008C00630008C00630002140485",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	init_file => "lcd_numbers.mif",
	init_file_layout => "port_a",
	logical_ram_name => "lpm_rom:inst146|altrom:srom|altsyncram:rom_block|altsyncram_jo01:auto_generated|ALTSYNCRAM",
	operation_mode => "rom",
	port_a_address_clear => "none",
	port_a_address_width => 6,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 18,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 63,
	port_a_logical_ram_depth => 64,
	port_a_logical_ram_width => 11,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_a_write_enable_clock => "none",
	port_b_address_width => 6,
	port_b_data_width => 18,
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portare => VCC,
	clk0 => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	portaaddr => \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTAADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portadataout => \inst146|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\);

-- Location: FF_X25_Y3_N23
\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|ALT_INV_counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(3));

-- Location: FF_X25_Y3_N27
\inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	d => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	ena => \inst141|LPM_COUNTER_component|auto_generated|ALT_INV_counter_comb_bita5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst141|LPM_COUNTER_component|auto_generated|counter_reg_bit\(5));

-- Location: M9K_X24_Y3_N0
\inst143|srom|rom_block|auto_generated|ram_block1a0\ : cycloneive_ram_block
-- pragma translate_off
GENERIC MAP (
	mem_init0 => X"000000000000000000000000000000000000000000000000000000000000000000000000000000000008E8063A00968065A0032404C9008E8063A0090806420099C06670099406650094806520030004C0008E8063A00954065500930064C009040641002240489008E8063A0090406410099C066700994066500948065200200048000004040100030040C000E00438",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	init_file => "mensagem.mif",
	init_file_layout => "port_a",
	logical_ram_name => "lpm_rom:inst143|altrom:srom|altsyncram:rom_block|altsyncram_je01:auto_generated|ALTSYNCRAM",
	operation_mode => "rom",
	port_a_address_clear => "none",
	port_a_address_width => 6,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 18,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 63,
	port_a_logical_ram_depth => 64,
	port_a_logical_ram_width => 11,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_a_write_enable_clock => "none",
	port_b_address_width => 6,
	port_b_data_width => 18,
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portare => VCC,
	clk0 => \inst3|LPM_COUNTER_component|auto_generated|counter_comb_bita14~0clkctrl_outclk\,
	portaaddr => \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTAADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portadataout => \inst143|srom|rom_block|auto_generated|ram_block1a0_PORTADATAOUT_bus\);

-- Location: LCCOMB_X23_Y3_N24
\inst144|$00000|auto_generated|result_node[10]~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[10]~0_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst146|srom|rom_block|auto_generated|q_a\(10))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(10))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst146|srom|rom_block|auto_generated|q_a\(10),
	datac => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datad => \inst143|srom|rom_block|auto_generated|q_a\(10),
	combout => \inst144|$00000|auto_generated|result_node[10]~0_combout\);

-- Location: LCCOMB_X23_Y3_N6
\inst144|$00000|auto_generated|result_node[9]~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[9]~1_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst146|srom|rom_block|auto_generated|q_a\(9))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst146|srom|rom_block|auto_generated|q_a\(9),
	datac => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datad => \inst143|srom|rom_block|auto_generated|q_a\(9),
	combout => \inst144|$00000|auto_generated|result_node[9]~1_combout\);

-- Location: LCCOMB_X23_Y3_N20
\inst144|$00000|auto_generated|result_node[8]~2\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[8]~2_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst146|srom|rom_block|auto_generated|q_a\(8))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst146|srom|rom_block|auto_generated|q_a\(8),
	datab => \inst143|srom|rom_block|auto_generated|q_a\(8),
	datac => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	combout => \inst144|$00000|auto_generated|result_node[8]~2_combout\);

-- Location: LCCOMB_X23_Y3_N18
\inst144|$00000|auto_generated|result_node[7]~3\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[7]~3_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst146|srom|rom_block|auto_generated|q_a\(7)))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst143|srom|rom_block|auto_generated|q_a\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datac => \inst143|srom|rom_block|auto_generated|q_a\(7),
	datad => \inst146|srom|rom_block|auto_generated|q_a\(7),
	combout => \inst144|$00000|auto_generated|result_node[7]~3_combout\);

-- Location: LCCOMB_X23_Y3_N12
\inst144|$00000|auto_generated|result_node[6]~4\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[6]~4_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst146|srom|rom_block|auto_generated|q_a\(6)))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst143|srom|rom_block|auto_generated|q_a\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datac => \inst143|srom|rom_block|auto_generated|q_a\(6),
	datad => \inst146|srom|rom_block|auto_generated|q_a\(6),
	combout => \inst144|$00000|auto_generated|result_node[6]~4_combout\);

-- Location: LCCOMB_X23_Y3_N22
\inst144|$00000|auto_generated|result_node[5]~5\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[5]~5_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst146|srom|rom_block|auto_generated|q_a\(5))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst146|srom|rom_block|auto_generated|q_a\(5),
	datac => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datad => \inst143|srom|rom_block|auto_generated|q_a\(5),
	combout => \inst144|$00000|auto_generated|result_node[5]~5_combout\);

-- Location: LCCOMB_X23_Y3_N16
\inst144|$00000|auto_generated|result_node[4]~6\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[4]~6_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst146|srom|rom_block|auto_generated|q_a\(4))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datac => \inst146|srom|rom_block|auto_generated|q_a\(4),
	datad => \inst143|srom|rom_block|auto_generated|q_a\(4),
	combout => \inst144|$00000|auto_generated|result_node[4]~6_combout\);

-- Location: LCCOMB_X25_Y3_N0
\inst144|$00000|auto_generated|result_node[0]~7\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[0]~7_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (!\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2) & 
-- !\inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datab => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(2),
	datac => \inst148|LPM_COUNTER_component|auto_generated|counter_reg_bit\(1),
	combout => \inst144|$00000|auto_generated|result_node[0]~7_combout\);

-- Location: LCCOMB_X23_Y3_N10
\inst144|$00000|auto_generated|result_node[3]~8\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[3]~8_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst146|srom|rom_block|auto_generated|q_a\(3) & (\inst144|$00000|auto_generated|result_node[0]~7_combout\))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(3)) # ((\inst146|srom|rom_block|auto_generated|q_a\(3) & \inst144|$00000|auto_generated|result_node[0]~7_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datab => \inst146|srom|rom_block|auto_generated|q_a\(3),
	datac => \inst144|$00000|auto_generated|result_node[0]~7_combout\,
	datad => \inst143|srom|rom_block|auto_generated|q_a\(3),
	combout => \inst144|$00000|auto_generated|result_node[3]~8_combout\);

-- Location: LCCOMB_X23_Y3_N28
\inst144|$00000|auto_generated|result_node[2]~9\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[2]~9_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst144|$00000|auto_generated|result_node[0]~7_combout\ & ((\inst146|srom|rom_block|auto_generated|q_a\(2))))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(2)) # ((\inst144|$00000|auto_generated|result_node[0]~7_combout\ & \inst146|srom|rom_block|auto_generated|q_a\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datab => \inst144|$00000|auto_generated|result_node[0]~7_combout\,
	datac => \inst143|srom|rom_block|auto_generated|q_a\(2),
	datad => \inst146|srom|rom_block|auto_generated|q_a\(2),
	combout => \inst144|$00000|auto_generated|result_node[2]~9_combout\);

-- Location: LCCOMB_X23_Y3_N14
\inst144|$00000|auto_generated|result_node[1]~10\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[1]~10_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst146|srom|rom_block|auto_generated|q_a\(1) & (\inst144|$00000|auto_generated|result_node[0]~7_combout\))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(1)) # ((\inst146|srom|rom_block|auto_generated|q_a\(1) & \inst144|$00000|auto_generated|result_node[0]~7_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datab => \inst146|srom|rom_block|auto_generated|q_a\(1),
	datac => \inst144|$00000|auto_generated|result_node[0]~7_combout\,
	datad => \inst143|srom|rom_block|auto_generated|q_a\(1),
	combout => \inst144|$00000|auto_generated|result_node[1]~10_combout\);

-- Location: LCCOMB_X23_Y3_N4
\inst144|$00000|auto_generated|result_node[0]~11\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst144|$00000|auto_generated|result_node[0]~11_combout\ = (\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & (\inst144|$00000|auto_generated|result_node[0]~7_combout\ & (\inst146|srom|rom_block|auto_generated|q_a\(0)))) # 
-- (!\inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\ & ((\inst143|srom|rom_block|auto_generated|q_a\(0)) # ((\inst144|$00000|auto_generated|result_node[0]~7_combout\ & \inst146|srom|rom_block|auto_generated|q_a\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst141|LPM_COUNTER_component|auto_generated|counter_comb_bita5~0_combout\,
	datab => \inst144|$00000|auto_generated|result_node[0]~7_combout\,
	datac => \inst146|srom|rom_block|auto_generated|q_a\(0),
	datad => \inst143|srom|rom_block|auto_generated|q_a\(0),
	combout => \inst144|$00000|auto_generated|result_node[0]~11_combout\);

-- Location: IOIBUF_X61_Y0_N29
\KEY[11]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_KEY(11),
	o => \KEY[11]~input_o\);

-- Location: IOIBUF_X5_Y43_N22
\CLOCK~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLOCK,
	o => \CLOCK~input_o\);

-- Location: IOIBUF_X67_Y10_N1
\SW[0]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(0),
	o => \SW[0]~input_o\);

ww_Delay <= \Delay~output_o\;

ww_LCD_EN <= \LCD_EN~output_o\;

ww_LCD_RS <= \LCD_RS~output_o\;

ww_LCD_RW <= \LCD_RW~output_o\;

ww_LCD_BACKLIGHT <= \LCD_BACKLIGHT~output_o\;

ww_Zero_OUT_ALU <= \Zero_OUT_ALU~output_o\;

ww_DISP0_D(6) <= \DISP0_D[6]~output_o\;

ww_DISP0_D(5) <= \DISP0_D[5]~output_o\;

ww_DISP0_D(4) <= \DISP0_D[4]~output_o\;

ww_DISP0_D(3) <= \DISP0_D[3]~output_o\;

ww_DISP0_D(2) <= \DISP0_D[2]~output_o\;

ww_DISP0_D(1) <= \DISP0_D[1]~output_o\;

ww_DISP0_D(0) <= \DISP0_D[0]~output_o\;

ww_DISP1_D(6) <= \DISP1_D[6]~output_o\;

ww_DISP1_D(5) <= \DISP1_D[5]~output_o\;

ww_DISP1_D(4) <= \DISP1_D[4]~output_o\;

ww_DISP1_D(3) <= \DISP1_D[3]~output_o\;

ww_DISP1_D(2) <= \DISP1_D[2]~output_o\;

ww_DISP1_D(1) <= \DISP1_D[1]~output_o\;

ww_DISP1_D(0) <= \DISP1_D[0]~output_o\;

ww_IROut1(15) <= \IROut1[15]~output_o\;

ww_IROut1(14) <= \IROut1[14]~output_o\;

ww_IROut1(13) <= \IROut1[13]~output_o\;

ww_IROut1(12) <= \IROut1[12]~output_o\;

ww_IROut1(11) <= \IROut1[11]~output_o\;

ww_IROut1(10) <= \IROut1[10]~output_o\;

ww_IROut1(9) <= \IROut1[9]~output_o\;

ww_IROut1(8) <= \IROut1[8]~output_o\;

ww_IROut1(7) <= \IROut1[7]~output_o\;

ww_IROut1(6) <= \IROut1[6]~output_o\;

ww_IROut1(5) <= \IROut1[5]~output_o\;

ww_IROut1(4) <= \IROut1[4]~output_o\;

ww_IROut1(3) <= \IROut1[3]~output_o\;

ww_IROut1(2) <= \IROut1[2]~output_o\;

ww_IROut1(1) <= \IROut1[1]~output_o\;

ww_IROut1(0) <= \IROut1[0]~output_o\;

ww_LCD_D(7) <= \LCD_D[7]~output_o\;

ww_LCD_D(6) <= \LCD_D[6]~output_o\;

ww_LCD_D(5) <= \LCD_D[5]~output_o\;

ww_LCD_D(4) <= \LCD_D[4]~output_o\;

ww_LCD_D(3) <= \LCD_D[3]~output_o\;

ww_LCD_D(2) <= \LCD_D[2]~output_o\;

ww_LCD_D(1) <= \LCD_D[1]~output_o\;

ww_LCD_D(0) <= \LCD_D[0]~output_o\;

ww_LEDM_C(4) <= \LEDM_C[4]~output_o\;

ww_LEDM_C(3) <= \LEDM_C[3]~output_o\;

ww_LEDM_C(2) <= \LEDM_C[2]~output_o\;

ww_LEDM_C(1) <= \LEDM_C[1]~output_o\;

ww_LEDM_C(0) <= \LEDM_C[0]~output_o\;

ww_LEDM_R(7) <= \LEDM_R[7]~output_o\;

ww_LEDM_R(6) <= \LEDM_R[6]~output_o\;

ww_LEDM_R(5) <= \LEDM_R[5]~output_o\;

ww_LEDM_R(4) <= \LEDM_R[4]~output_o\;

ww_LEDM_R(3) <= \LEDM_R[3]~output_o\;

ww_LEDM_R(2) <= \LEDM_R[2]~output_o\;

ww_LEDM_R(1) <= \LEDM_R[1]~output_o\;

ww_LEDM_R(0) <= \LEDM_R[0]~output_o\;

ww_Result_OUT(15) <= \Result_OUT[15]~output_o\;

ww_Result_OUT(14) <= \Result_OUT[14]~output_o\;

ww_Result_OUT(13) <= \Result_OUT[13]~output_o\;

ww_Result_OUT(12) <= \Result_OUT[12]~output_o\;

ww_Result_OUT(11) <= \Result_OUT[11]~output_o\;

ww_Result_OUT(10) <= \Result_OUT[10]~output_o\;

ww_Result_OUT(9) <= \Result_OUT[9]~output_o\;

ww_Result_OUT(8) <= \Result_OUT[8]~output_o\;

ww_Result_OUT(7) <= \Result_OUT[7]~output_o\;

ww_Result_OUT(6) <= \Result_OUT[6]~output_o\;

ww_Result_OUT(5) <= \Result_OUT[5]~output_o\;

ww_Result_OUT(4) <= \Result_OUT[4]~output_o\;

ww_Result_OUT(3) <= \Result_OUT[3]~output_o\;

ww_Result_OUT(2) <= \Result_OUT[2]~output_o\;

ww_Result_OUT(1) <= \Result_OUT[1]~output_o\;

ww_Result_OUT(0) <= \Result_OUT[0]~output_o\;
END structure;


