library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.numeric_std.all;

entity convert is
    Port ( IN0 : in  STD_LOGIC;
			  IN1 : in  STD_LOGIC;
			  IN2 : in  STD_LOGIC;
			  IN3 : in  STD_LOGIC;           
           BIN_OUT : out  STD_LOGIC_VECTOR (1 downto 0)
          );
end convert;

architecture convert_comp of convert is
begin

BIN_OUT <= "00" WHEN IN0 = '1' ELSE
			  "01" WHEN IN1 = '1' ELSE
			  "10" WHEN IN2 = '1' ELSE
			  "11" WHEN IN3 = '1';

end convert_comp;